Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLTextURL

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLTextURL

public class HTMLTextURL
extends HTMLElement

Constructs an anchor tag with a prompt.

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `clickHandler`
`protected java.lang.String` | `Target`
`protected java.lang.String` | `Text`
`protected java.lang.String` | `URL`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLTextURL(java.lang.String Text, java.lang.String URL)` Constructs a new URL object.

Method Summary
`void` | `render(java.io.PrintWriter out)`
`void` | `setClickHandler(java.lang.String handler)` Sets up the JavaScript click handler for the URL.
`void` | `setTarget(java.lang.String target)` Sets the target window for the URL.

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Text

    protected java.lang.String Text

### URL

    protected java.lang.String URL

### Target

    protected java.lang.String Target

### clickHandler

    protected java.lang.String clickHandler

Constructor Detail

### HTMLTextURL

    public HTMLTextURL(java.lang.String Text,
                       java.lang.String URL)

  Constructs a new URL object.
  Parameters:
    `Text` - Text for anchor tag
    `URL` - URL to be invokied when text is clicked.

Method Detail

### setTarget

    public void setTarget(java.lang.String target)

  Sets the target window for the URL.
  Parameters:
    `target` - the name of the target window.

### setClickHandler

    public void setClickHandler(java.lang.String handler)

  Sets up the JavaScript click handler for the URL. This is added as the value of the ONCLICK attribute.

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD